import { SynapseContracts } from "./synapse_contracts";
import { StaticCallResult } from "./types";
import type { Signer } from "@ethersproject/abstract-signer";
import type { PopulatedTransaction, ContractTransaction } from "@ethersproject/contracts";
export declare const rejectPromise: (e: any) => Promise<never>;
declare type Resolveable<T> = T | Promise<T>;
export declare function executePopulatedTransaction(populatedTxn: Resolveable<PopulatedTransaction>, signer: Signer): Promise<ContractTransaction>;
export declare function staticCallPopulatedTransaction(populatedTxn: Resolveable<PopulatedTransaction>, signer: Signer): Promise<StaticCallResult>;
export declare function contractAddressFor(chainId: number, key: string): string;
export declare const contractsForChainId: (chainId: number) => SynapseContracts.SynapseContract;
export {};
